; include file

spinup2

	lda	rotation5
	suba	#4
	sta	rotation5
	plot(sine_table,#127,#96,#40,#50,rotation5)
	std	my_x1
	plot(sine_table,my_x1,my_y1,#20,#10,rotation5)
	std	my_x1
	lda	rotation5
	suba	#32
	sta	rotation6
	plot(sine_table,my_x1,my_y1,#20,#10,rotation6)
	std	my_x2
	cg6_line(page,my_x1,my_y1,my_x2,my_y2,#1)
	lda	rotation5
	suba	#64
	sta	rotation7
	plot(sine_table,#79,#96,#40,#50,rotation7)
	std	my_x1
	plot(sine_table,my_x1,my_y1,#20,#10,rotation7)
	std	my_x1
	lda	rotation7
	suba	#32
	sta	rotation8
	plot(sine_table,my_x1,my_y1,#20,#10,rotation8)
	std	my_x2
	cg6_line(page,my_x1,my_y1,my_x2,my_y2,#0)

	rts

